<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Dokumentacja klasy QCPAbstractPaintBuffer</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_q_c_p_abstract_paint_buffer.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-methods">Metody publiczne</a> &#124;
<a href="#pro-methods">Metody chronione</a> &#124;
<a href="#pro-attribs">Atrybuty chronione</a> &#124;
<a href="class_q_c_p_abstract_paint_buffer-members.html">Lista wszystkich składowych</a>  </div>
  <div class="headertitle"><div class="title">Dokumentacja klasy QCPAbstractPaintBuffer<span class="mlabels"><span class="mlabel">abstract</span></span></div></div>
</div><!--header-->
<div class="contents">

<p>The abstract base class for paint buffers, which define the rendering backend.  
 <a href="class_q_c_p_abstract_paint_buffer.html#details">Więcej...</a></p>

<p><code>#include &lt;<a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>&gt;</code></p>
<div class="dynheader">
Diagram dziedziczenia dla QCPAbstractPaintBuffer</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_abstract_paint_buffer__inherit__graph.png" border="0" usemap="#a_q_c_p_abstract_paint_buffer_inherit__map" alt="Inheritance graph"/></div>
<map name="a_q_c_p_abstract_paint_buffer_inherit__map" id="a_q_c_p_abstract_paint_buffer_inherit__map">
<area shape="rect" title="The abstract base class for paint buffers, which define the rendering backend." alt="" coords="5,5,168,31"/>
<area shape="rect" href="class_q_c_p_paint_buffer_pixmap.html" title="A paint buffer based on QPixmap, using software raster rendering." alt="" coords="8,79,165,104"/>
<area shape="poly" title=" " alt="" coords="89,44,89,79,84,79,84,44"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legenda</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Metody publiczne</h2></td></tr>
<tr class="memitem:a3ce532c12f10b81697108835755641e2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_abstract_paint_buffer.html#a3ce532c12f10b81697108835755641e2">QCPAbstractPaintBuffer</a> (const QSize &amp;<a class="el" href="class_q_c_p_abstract_paint_buffer.html#a3ea8284e547985c5d263f26a6adfa11f">size</a>, double <a class="el" href="class_q_c_p_abstract_paint_buffer.html#aac1b981f8c1744036610ff1a6b9461f9">devicePixelRatio</a>)</td></tr>
<tr class="separator:a3ce532c12f10b81697108835755641e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a50fbb1265814d019a1707f4cb11e20de"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_abstract_paint_buffer.html#a50fbb1265814d019a1707f4cb11e20de">~QCPAbstractPaintBuffer</a> ()</td></tr>
<tr class="separator:a50fbb1265814d019a1707f4cb11e20de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ea8284e547985c5d263f26a6adfa11f"><td class="memItemLeft" align="right" valign="top">QSize&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_abstract_paint_buffer.html#a3ea8284e547985c5d263f26a6adfa11f">size</a> () const</td></tr>
<tr class="separator:a3ea8284e547985c5d263f26a6adfa11f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a76bf771cda945a6c602cf9b7d365d92b"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_abstract_paint_buffer.html#a76bf771cda945a6c602cf9b7d365d92b">invalidated</a> () const</td></tr>
<tr class="separator:a76bf771cda945a6c602cf9b7d365d92b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aac1b981f8c1744036610ff1a6b9461f9"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_abstract_paint_buffer.html#aac1b981f8c1744036610ff1a6b9461f9">devicePixelRatio</a> () const</td></tr>
<tr class="separator:aac1b981f8c1744036610ff1a6b9461f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8b68c3cd36533f1a4a23b5ce8cd66f01"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_abstract_paint_buffer.html#a8b68c3cd36533f1a4a23b5ce8cd66f01">setSize</a> (const QSize &amp;<a class="el" href="class_q_c_p_abstract_paint_buffer.html#a3ea8284e547985c5d263f26a6adfa11f">size</a>)</td></tr>
<tr class="separator:a8b68c3cd36533f1a4a23b5ce8cd66f01"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4c7dc70dfc66be2879ce297b2b3d67f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_abstract_paint_buffer.html#ae4c7dc70dfc66be2879ce297b2b3d67f">setInvalidated</a> (bool <a class="el" href="class_q_c_p_abstract_paint_buffer.html#a76bf771cda945a6c602cf9b7d365d92b">invalidated</a>=true)</td></tr>
<tr class="separator:ae4c7dc70dfc66be2879ce297b2b3d67f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a555eaad5d5c806420ff35602a1bb68fa"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_abstract_paint_buffer.html#a555eaad5d5c806420ff35602a1bb68fa">setDevicePixelRatio</a> (double ratio)</td></tr>
<tr class="separator:a555eaad5d5c806420ff35602a1bb68fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e9f29b19c033cf02fb96f1a148463f3"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="class_q_c_p_painter.html">QCPPainter</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_abstract_paint_buffer.html#a9e9f29b19c033cf02fb96f1a148463f3">startPainting</a> ()=0</td></tr>
<tr class="separator:a9e9f29b19c033cf02fb96f1a148463f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a41b0dc6e7744f19fae09f8532c207dc1"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_abstract_paint_buffer.html#a41b0dc6e7744f19fae09f8532c207dc1">donePainting</a> ()</td></tr>
<tr class="separator:a41b0dc6e7744f19fae09f8532c207dc1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb998c7525e3ae37d9d2d46c7aaf461a"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_abstract_paint_buffer.html#afb998c7525e3ae37d9d2d46c7aaf461a">draw</a> (<a class="el" href="class_q_c_p_painter.html">QCPPainter</a> *painter) const =0</td></tr>
<tr class="separator:afb998c7525e3ae37d9d2d46c7aaf461a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e253f4541dfc01992b77e8830bd7722"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_abstract_paint_buffer.html#a9e253f4541dfc01992b77e8830bd7722">clear</a> (const QColor &amp;color)=0</td></tr>
<tr class="separator:a9e253f4541dfc01992b77e8830bd7722"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-methods" name="pro-methods"></a>
Metody chronione</h2></td></tr>
<tr class="memitem:aee7506a52bd7e5a07c2af27935eb13e7"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_abstract_paint_buffer.html#aee7506a52bd7e5a07c2af27935eb13e7">reallocateBuffer</a> ()=0</td></tr>
<tr class="separator:aee7506a52bd7e5a07c2af27935eb13e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-attribs" name="pro-attribs"></a>
Atrybuty chronione</h2></td></tr>
<tr class="memitem:ae246c426222bfa18d5e8797fab73e3ce"><td class="memItemLeft" align="right" valign="top">QSize&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_abstract_paint_buffer.html#ae246c426222bfa18d5e8797fab73e3ce">mSize</a></td></tr>
<tr class="separator:ae246c426222bfa18d5e8797fab73e3ce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a33c1fd784478441fcff9ebf3d69af5b2"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_abstract_paint_buffer.html#a33c1fd784478441fcff9ebf3d69af5b2">mDevicePixelRatio</a></td></tr>
<tr class="separator:a33c1fd784478441fcff9ebf3d69af5b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3bc49cc9cf9daaca3a60977f010c08c9"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_abstract_paint_buffer.html#a3bc49cc9cf9daaca3a60977f010c08c9">mInvalidated</a></td></tr>
<tr class="separator:a3bc49cc9cf9daaca3a60977f010c08c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Opis szczegółowy</h2>
<div class="textblock"><p>This abstract base class defines the basic interface that a paint buffer needs to provide in order to be usable by <a class="el" href="class_q_custom_plot.html" title="The central class of the library. This is the QWidget which displays the plot and interacts with the ...">QCustomPlot</a>.</p>
<p>A paint buffer manages both a surface to draw onto, and the matching paint device. The size of the surface can be changed via <a class="el" href="class_q_c_p_abstract_paint_buffer.html#a8b68c3cd36533f1a4a23b5ce8cd66f01">setSize</a>. External classes (<a class="el" href="class_q_custom_plot.html">QCustomPlot</a> and <a class="el" href="class_q_c_p_layer.html">QCPLayer</a>) request a painter via <a class="el" href="class_q_c_p_abstract_paint_buffer.html#a9e9f29b19c033cf02fb96f1a148463f3">startPainting</a> and then perform the draw calls. Once the painting is complete, <a class="el" href="class_q_c_p_abstract_paint_buffer.html#a41b0dc6e7744f19fae09f8532c207dc1">donePainting</a> is called, so the paint buffer implementation can do clean up if necessary. Before rendering a frame, each paint buffer is usually filled with a color using <a class="el" href="class_q_c_p_abstract_paint_buffer.html#a9e253f4541dfc01992b77e8830bd7722">clear</a> (usually the color is <code>Qt::transparent</code>), to remove the contents of the previous frame.</p>
<p>The simplest paint buffer implementation is <a class="el" href="class_q_c_p_paint_buffer_pixmap.html">QCPPaintBufferPixmap</a> which allows regular software rendering via the raster engine. Hardware accelerated rendering via pixel buffers and frame buffer objects is provided by QCPPaintBufferGlPbuffer and QCPPaintBufferGlFbo. They are used automatically if <a class="el" href="class_q_custom_plot.html#a7db1adc09016329f3aef7c60da935789">QCustomPlot::setOpenGl</a> is enabled. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l00574">574</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>
</div><h2 class="groupheader">Dokumentacja konstruktora i destruktora</h2>
<a id="a3ce532c12f10b81697108835755641e2" name="a3ce532c12f10b81697108835755641e2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3ce532c12f10b81697108835755641e2">&#9670;&#160;</a></span>QCPAbstractPaintBuffer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QCPAbstractPaintBuffer::QCPAbstractPaintBuffer </td>
          <td>(</td>
          <td class="paramtype">const QSize &amp;&#160;</td>
          <td class="paramname"><em>size</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>devicePixelRatio</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">explicit</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Creates a paint buffer and initializes it with the provided <em>size</em> and <em>devicePixelRatio</em>.</p>
<p>Subclasses must call their <a class="el" href="class_q_c_p_abstract_paint_buffer.html#aee7506a52bd7e5a07c2af27935eb13e7">reallocateBuffer</a> implementation in their respective constructors. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l00581">581</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>

</div>
</div>
<a id="a50fbb1265814d019a1707f4cb11e20de" name="a50fbb1265814d019a1707f4cb11e20de"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a50fbb1265814d019a1707f4cb11e20de">&#9670;&#160;</a></span>~QCPAbstractPaintBuffer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QCPAbstractPaintBuffer::~QCPAbstractPaintBuffer </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l00588">588</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Dokumentacja funkcji składowych</h2>
<a id="a3ea8284e547985c5d263f26a6adfa11f" name="a3ea8284e547985c5d263f26a6adfa11f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3ea8284e547985c5d263f26a6adfa11f">&#9670;&#160;</a></span>size()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QSize QCPAbstractPaintBuffer::size </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l00581">581</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_abstract_paint_buffer_a3ea8284e547985c5d263f26a6adfa11f_icgraph.png" border="0" usemap="#aclass_q_c_p_abstract_paint_buffer_a3ea8284e547985c5d263f26a6adfa11f_icgraph" alt=""/></div>
<map name="aclass_q_c_p_abstract_paint_buffer_a3ea8284e547985c5d263f26a6adfa11f_icgraph" id="aclass_q_c_p_abstract_paint_buffer_a3ea8284e547985c5d263f26a6adfa11f_icgraph">
<area shape="rect" title=" " alt="" coords="216,5,379,45"/>
<area shape="rect" href="class_q_c_p_abstract_paint_buffer.html#a8b68c3cd36533f1a4a23b5ce8cd66f01" title=" " alt="" coords="5,5,168,45"/>
<area shape="poly" title=" " alt="" coords="202,28,168,28,168,23,202,23"/>
</map>
</div>

</div>
</div>
<a id="a76bf771cda945a6c602cf9b7d365d92b" name="a76bf771cda945a6c602cf9b7d365d92b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a76bf771cda945a6c602cf9b7d365d92b">&#9670;&#160;</a></span>invalidated()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool QCPAbstractPaintBuffer::invalidated </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l00582">582</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_abstract_paint_buffer_a76bf771cda945a6c602cf9b7d365d92b_icgraph.png" border="0" usemap="#aclass_q_c_p_abstract_paint_buffer_a76bf771cda945a6c602cf9b7d365d92b_icgraph" alt=""/></div>
<map name="aclass_q_c_p_abstract_paint_buffer_a76bf771cda945a6c602cf9b7d365d92b_icgraph" id="aclass_q_c_p_abstract_paint_buffer_a76bf771cda945a6c602cf9b7d365d92b_icgraph">
<area shape="rect" title=" " alt="" coords="632,5,795,45"/>
<area shape="rect" href="class_q_c_p_abstract_paint_buffer.html#ae4c7dc70dfc66be2879ce297b2b3d67f" title=" " alt="" coords="421,5,584,45"/>
<area shape="poly" title=" " alt="" coords="618,28,584,28,584,23,618,23"/>
<area shape="rect" href="class_q_c_p_paint_buffer_pixmap.html#ad49f3205ba3463b1c44f8db3cfcc90f0" title=" " alt="" coords="216,5,373,45"/>
<area shape="poly" title=" " alt="" coords="407,28,374,28,374,23,407,23"/>
<area shape="rect" href="class_q_c_p_paint_buffer_pixmap.html#aef0224e03b9285509391fcd61a8e6844" title=" " alt="" coords="5,5,168,45"/>
<area shape="poly" title=" " alt="" coords="202,28,168,28,168,23,202,23"/>
</map>
</div>

</div>
</div>
<a id="aac1b981f8c1744036610ff1a6b9461f9" name="aac1b981f8c1744036610ff1a6b9461f9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aac1b981f8c1744036610ff1a6b9461f9">&#9670;&#160;</a></span>devicePixelRatio()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double QCPAbstractPaintBuffer::devicePixelRatio </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l00583">583</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a8b68c3cd36533f1a4a23b5ce8cd66f01" name="a8b68c3cd36533f1a4a23b5ce8cd66f01"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8b68c3cd36533f1a4a23b5ce8cd66f01">&#9670;&#160;</a></span>setSize()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void QCPAbstractPaintBuffer::setSize </td>
          <td>(</td>
          <td class="paramtype">const QSize &amp;&#160;</td>
          <td class="paramname"><em>size</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Sets the paint buffer size.</p>
<p>The buffer is reallocated (by calling <a class="el" href="class_q_c_p_abstract_paint_buffer.html#aee7506a52bd7e5a07c2af27935eb13e7">reallocateBuffer</a>), so any painters that were obtained by <a class="el" href="class_q_c_p_abstract_paint_buffer.html#a9e9f29b19c033cf02fb96f1a148463f3">startPainting</a> are invalidated and must not be used after calling this method.</p>
<p>If <em>size</em> is already the current buffer size, this method does nothing. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l00600">600</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_abstract_paint_buffer_a8b68c3cd36533f1a4a23b5ce8cd66f01_cgraph.png" border="0" usemap="#aclass_q_c_p_abstract_paint_buffer_a8b68c3cd36533f1a4a23b5ce8cd66f01_cgraph" alt=""/></div>
<map name="aclass_q_c_p_abstract_paint_buffer_a8b68c3cd36533f1a4a23b5ce8cd66f01_cgraph" id="aclass_q_c_p_abstract_paint_buffer_a8b68c3cd36533f1a4a23b5ce8cd66f01_cgraph">
<area shape="rect" title=" " alt="" coords="5,37,168,77"/>
<area shape="rect" href="class_q_c_p_abstract_paint_buffer.html#aee7506a52bd7e5a07c2af27935eb13e7" title=" " alt="" coords="216,5,379,45"/>
<area shape="poly" title=" " alt="" coords="168,42,202,37,203,42,169,48"/>
<area shape="rect" href="class_q_c_p_abstract_paint_buffer.html#a3ea8284e547985c5d263f26a6adfa11f" title=" " alt="" coords="216,69,379,109"/>
<area shape="poly" title=" " alt="" coords="169,67,203,72,202,78,168,72"/>
</map>
</div>

</div>
</div>
<a id="ae4c7dc70dfc66be2879ce297b2b3d67f" name="ae4c7dc70dfc66be2879ce297b2b3d67f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae4c7dc70dfc66be2879ce297b2b3d67f">&#9670;&#160;</a></span>setInvalidated()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void QCPAbstractPaintBuffer::setInvalidated </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>invalidated</em> = <code>true</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Sets the invalidated flag to <em>invalidated</em>.</p>
<p>This mechanism is used internally in conjunction with isolated replotting of <a class="el" href="class_q_c_p_layer.html">QCPLayer</a> instances (in <a class="el" href="class_q_c_p_layer.html#a67dcfc1590be2a1f2227c5a39bb59c7cab581b9fab3007c4c65f057f4185d7538">QCPLayer::lmBuffered</a> mode). If <a class="el" href="class_q_c_p_layer.html#adefd53b6db02f470151c416f42e37180">QCPLayer::replot</a> is called on a buffered layer, i.e. an isolated repaint of only that layer (and its dedicated paint buffer) is requested, <a class="el" href="class_q_custom_plot.html" title="The central class of the library. This is the QWidget which displays the plot and interacts with the ...">QCustomPlot</a> will decide depending on the invalidated flags of other paint buffers whether it also replots them, instead of only the layer on which the replot was called.</p>
<p>The invalidated flag is set to true when <a class="el" href="class_q_c_p_layer.html">QCPLayer</a> association has changed, i.e. if layers were added or removed from this buffer, or if they were reordered. It is set to false as soon as all associated <a class="el" href="class_q_c_p_layer.html">QCPLayer</a> instances are drawn onto the buffer.</p>
<p>Under normal circumstances, it is not necessary to manually call this method. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l00624">624</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_abstract_paint_buffer_ae4c7dc70dfc66be2879ce297b2b3d67f_cgraph.png" border="0" usemap="#aclass_q_c_p_abstract_paint_buffer_ae4c7dc70dfc66be2879ce297b2b3d67f_cgraph" alt=""/></div>
<map name="aclass_q_c_p_abstract_paint_buffer_ae4c7dc70dfc66be2879ce297b2b3d67f_cgraph" id="aclass_q_c_p_abstract_paint_buffer_ae4c7dc70dfc66be2879ce297b2b3d67f_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,168,45"/>
<area shape="rect" href="class_q_c_p_abstract_paint_buffer.html#a76bf771cda945a6c602cf9b7d365d92b" title=" " alt="" coords="216,5,379,45"/>
<area shape="poly" title=" " alt="" coords="168,23,202,23,202,28,168,28"/>
</map>
</div>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_abstract_paint_buffer_ae4c7dc70dfc66be2879ce297b2b3d67f_icgraph.png" border="0" usemap="#aclass_q_c_p_abstract_paint_buffer_ae4c7dc70dfc66be2879ce297b2b3d67f_icgraph" alt=""/></div>
<map name="aclass_q_c_p_abstract_paint_buffer_ae4c7dc70dfc66be2879ce297b2b3d67f_icgraph" id="aclass_q_c_p_abstract_paint_buffer_ae4c7dc70dfc66be2879ce297b2b3d67f_icgraph">
<area shape="rect" title=" " alt="" coords="421,5,584,45"/>
<area shape="rect" href="class_q_c_p_paint_buffer_pixmap.html#ad49f3205ba3463b1c44f8db3cfcc90f0" title=" " alt="" coords="216,5,373,45"/>
<area shape="poly" title=" " alt="" coords="407,28,374,28,374,23,407,23"/>
<area shape="rect" href="class_q_c_p_paint_buffer_pixmap.html#aef0224e03b9285509391fcd61a8e6844" title=" " alt="" coords="5,5,168,45"/>
<area shape="poly" title=" " alt="" coords="202,28,168,28,168,23,202,23"/>
</map>
</div>

</div>
</div>
<a id="a555eaad5d5c806420ff35602a1bb68fa" name="a555eaad5d5c806420ff35602a1bb68fa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a555eaad5d5c806420ff35602a1bb68fa">&#9670;&#160;</a></span>setDevicePixelRatio()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void QCPAbstractPaintBuffer::setDevicePixelRatio </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>ratio</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Sets the device pixel ratio to <em>ratio</em>. This is useful to render on high-DPI output devices. The ratio is automatically set to the device pixel ratio used by the parent <a class="el" href="class_q_custom_plot.html" title="The central class of the library. This is the QWidget which displays the plot and interacts with the ...">QCustomPlot</a> instance.</p>
<p>The buffer is reallocated (by calling <a class="el" href="class_q_c_p_abstract_paint_buffer.html#aee7506a52bd7e5a07c2af27935eb13e7">reallocateBuffer</a>), so any painters that were obtained by <a class="el" href="class_q_c_p_abstract_paint_buffer.html#a9e9f29b19c033cf02fb96f1a148463f3">startPainting</a> are invalidated and must not be used after calling this method.</p>
<dl class="section note"><dt>Nota</dt><dd>This method is only available for Qt versions 5.4 and higher. </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l00638">638</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_abstract_paint_buffer_a555eaad5d5c806420ff35602a1bb68fa_cgraph.png" border="0" usemap="#aclass_q_c_p_abstract_paint_buffer_a555eaad5d5c806420ff35602a1bb68fa_cgraph" alt=""/></div>
<map name="aclass_q_c_p_abstract_paint_buffer_a555eaad5d5c806420ff35602a1bb68fa_cgraph" id="aclass_q_c_p_abstract_paint_buffer_a555eaad5d5c806420ff35602a1bb68fa_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,168,45"/>
<area shape="rect" href="class_q_c_p_abstract_paint_buffer.html#aee7506a52bd7e5a07c2af27935eb13e7" title=" " alt="" coords="216,5,379,45"/>
<area shape="poly" title=" " alt="" coords="168,23,202,23,202,28,168,28"/>
</map>
</div>

</div>
</div>
<a id="a9e9f29b19c033cf02fb96f1a148463f3" name="a9e9f29b19c033cf02fb96f1a148463f3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9e9f29b19c033cf02fb96f1a148463f3">&#9670;&#160;</a></span>startPainting()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_q_c_p_painter.html">QCPPainter</a> * QCPAbstractPaintBuffer::startPainting </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns a <a class="el" href="class_q_c_p_painter.html">QCPPainter</a> which is ready to draw to this buffer. The ownership and thus the responsibility to delete the painter after the painting operations are complete is given to the caller of this method.</p>
<p>Once you are done using the painter, delete the painter and call <a class="el" href="class_q_c_p_abstract_paint_buffer.html#a41b0dc6e7744f19fae09f8532c207dc1">donePainting</a>.</p>
<p>While a painter generated with this method is active, you must not call <a class="el" href="class_q_c_p_abstract_paint_buffer.html#a8b68c3cd36533f1a4a23b5ce8cd66f01">setSize</a>, <a class="el" href="class_q_c_p_abstract_paint_buffer.html#a555eaad5d5c806420ff35602a1bb68fa">setDevicePixelRatio</a> or <a class="el" href="class_q_c_p_abstract_paint_buffer.html#a9e253f4541dfc01992b77e8830bd7722">clear</a>.</p>
<p>This method may return 0, if a painter couldn't be activated on the buffer. This usually indicates a problem with the respective painting backend. </p>

<p>Implementowany w <a class="el" href="class_q_c_p_paint_buffer_pixmap.html#a357964ef7d28cfa530338be4e5c93234">QCPPaintBufferPixmap</a>.</p>

</div>
</div>
<a id="a41b0dc6e7744f19fae09f8532c207dc1" name="a41b0dc6e7744f19fae09f8532c207dc1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a41b0dc6e7744f19fae09f8532c207dc1">&#9670;&#160;</a></span>donePainting()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void QCPAbstractPaintBuffer::donePainting </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>If you have acquired a <a class="el" href="class_q_c_p_painter.html">QCPPainter</a> to paint onto this paint buffer via <a class="el" href="class_q_c_p_abstract_paint_buffer.html#a9e9f29b19c033cf02fb96f1a148463f3">startPainting</a>, call this method as soon as you are done with the painting operations and have deleted the painter.</p>
<p>paint buffer subclasses may use this method to perform any type of cleanup that is necessary. The default implementation does nothing. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l00592">592</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="afb998c7525e3ae37d9d2d46c7aaf461a" name="afb998c7525e3ae37d9d2d46c7aaf461a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afb998c7525e3ae37d9d2d46c7aaf461a">&#9670;&#160;</a></span>draw()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void QCPAbstractPaintBuffer::draw </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_q_c_p_painter.html">QCPPainter</a> *&#160;</td>
          <td class="paramname"><em>painter</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Draws the contents of this buffer with the provided <em>painter</em>. This is the method that is used to finally join all paint buffers and draw them onto the screen. </p>

<p>Implementowany w <a class="el" href="class_q_c_p_paint_buffer_pixmap.html#af7bfc685e56a0a9329e57cd9a265eb74">QCPPaintBufferPixmap</a>.</p>

</div>
</div>
<a id="a9e253f4541dfc01992b77e8830bd7722" name="a9e253f4541dfc01992b77e8830bd7722"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9e253f4541dfc01992b77e8830bd7722">&#9670;&#160;</a></span>clear()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void QCPAbstractPaintBuffer::clear </td>
          <td>(</td>
          <td class="paramtype">const QColor &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Fills the entire buffer with the provided <em>color</em>. To have an empty transparent buffer, use the named color <code>Qt::transparent</code>.</p>
<p>This method must not be called if there is currently a painter (acquired with <a class="el" href="class_q_c_p_abstract_paint_buffer.html#a9e9f29b19c033cf02fb96f1a148463f3">startPainting</a>) active. </p>

<p>Implementowany w <a class="el" href="class_q_c_p_paint_buffer_pixmap.html#a14badbd010a3cde6b55817ccb7b65217">QCPPaintBufferPixmap</a>.</p>

</div>
</div>
<a id="aee7506a52bd7e5a07c2af27935eb13e7" name="aee7506a52bd7e5a07c2af27935eb13e7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aee7506a52bd7e5a07c2af27935eb13e7">&#9670;&#160;</a></span>reallocateBuffer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void QCPAbstractPaintBuffer::reallocateBuffer </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Reallocates the internal buffer with the currently configured size (<a class="el" href="class_q_c_p_abstract_paint_buffer.html#a8b68c3cd36533f1a4a23b5ce8cd66f01">setSize</a>) and device pixel ratio, if applicable (<a class="el" href="class_q_c_p_abstract_paint_buffer.html#a555eaad5d5c806420ff35602a1bb68fa">setDevicePixelRatio</a>). It is called as soon as any of those properties are changed on this paint buffer.</p>
<dl class="section note"><dt>Nota</dt><dd>Subclasses of <a class="el" href="class_q_c_p_abstract_paint_buffer.html">QCPAbstractPaintBuffer</a> must call their reimplementation of this method in their constructor, to perform the first allocation (this can not be done by the base class because calling pure virtual methods in base class constructors is not possible). </dd></dl>

<p>Implementowany w <a class="el" href="class_q_c_p_paint_buffer_pixmap.html#ad49f3205ba3463b1c44f8db3cfcc90f0">QCPPaintBufferPixmap</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_abstract_paint_buffer_aee7506a52bd7e5a07c2af27935eb13e7_icgraph.png" border="0" usemap="#aclass_q_c_p_abstract_paint_buffer_aee7506a52bd7e5a07c2af27935eb13e7_icgraph" alt=""/></div>
<map name="aclass_q_c_p_abstract_paint_buffer_aee7506a52bd7e5a07c2af27935eb13e7_icgraph" id="aclass_q_c_p_abstract_paint_buffer_aee7506a52bd7e5a07c2af27935eb13e7_icgraph">
<area shape="rect" title=" " alt="" coords="216,37,379,77"/>
<area shape="rect" href="class_q_c_p_abstract_paint_buffer.html#a555eaad5d5c806420ff35602a1bb68fa" title=" " alt="" coords="5,5,168,45"/>
<area shape="poly" title=" " alt="" coords="202,46,168,40,169,35,203,40"/>
<area shape="rect" href="class_q_c_p_abstract_paint_buffer.html#a8b68c3cd36533f1a4a23b5ce8cd66f01" title=" " alt="" coords="5,69,168,109"/>
<area shape="poly" title=" " alt="" coords="203,74,169,80,168,74,202,69"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Dokumentacja atrybutów składowych</h2>
<a id="ae246c426222bfa18d5e8797fab73e3ce" name="ae246c426222bfa18d5e8797fab73e3ce"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae246c426222bfa18d5e8797fab73e3ce">&#9670;&#160;</a></span>mSize</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QSize QCPAbstractPaintBuffer::mSize</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l00598">598</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a33c1fd784478441fcff9ebf3d69af5b2" name="a33c1fd784478441fcff9ebf3d69af5b2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a33c1fd784478441fcff9ebf3d69af5b2">&#9670;&#160;</a></span>mDevicePixelRatio</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double QCPAbstractPaintBuffer::mDevicePixelRatio</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l00599">599</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a3bc49cc9cf9daaca3a60977f010c08c9" name="a3bc49cc9cf9daaca3a60977f010c08c9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3bc49cc9cf9daaca3a60977f010c08c9">&#9670;&#160;</a></span>mInvalidated</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool QCPAbstractPaintBuffer::mInvalidated</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l00602">602</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<hr/>Dokumentacja dla tej klasy została wygenerowana z plików:<ul>
<li><a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a></li>
<li><a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_q_c_p_abstract_paint_buffer.html">QCPAbstractPaintBuffer</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
